> ## Documentation Index
> Fetch the complete documentation index at: https://cognitio-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get paths

> Retrieve the current working directory and related path information for the Cognitio instance.



## OpenAPI

````yaml /openapi.json get /path
openapi: 3.1.1
info:
  title: cognitio
  description: cognitio api
  version: 1.0.0
servers: []
security: []
paths:
  /path:
    get:
      summary: Get paths
      description: >-
        Retrieve the current working directory and related path information for
        the Cognitio instance.
      operationId: path.get
      parameters:
        - in: query
          name: directory
          schema:
            type: string
        - in: query
          name: workspace
          schema:
            type: string
      responses:
        '200':
          description: Path
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Path'
      x-codeSamples:
        - lang: js
          source: |-
            import { createCognitioClient } from "@cognitio/sdk

            const client = createCognitioClient()
            await client.path.get({
              ...
            })
components:
  schemas:
    Path:
      type: object
      properties:
        home:
          type: string
        state:
          type: string
        config:
          type: string
        worktree:
          type: string
        directory:
          type: string
      required:
        - home
        - state
        - config
        - worktree
        - directory

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.